Subject: Re: [PATCH] for-each-ref: call --start-after argument "marker"

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Aug 2025 07:33:31 -0700

Karthik Nayak <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Karthik Nayak <[email-masked]> writes:
>>
>>>> -		OPT_STRING(  0 , "start-after", &filter.start_after, N_("start-after"), N_("start iteration after the provided marker")),
>>>> +		OPT_STRING(  0 , "start-after", &filter.start_after, N_("marker"), N_("start iteration after the provided marker")),
>>>>
>>>
>>> Ah! I did fix a typo here, but your fix is better. Thanks.
>>
>> Here where?  Is that "fix a typo" something I should go around and
>> make sure I do not miss?
>
> I meant my earlier patch fa0f4e46f5 (for-each-ref: reword the
> documentation for '--start-after', 2025-07-28) which is merged to master
> now.

Hmph, so what does mentioning of your earlier typofix add to review
of this new patch?  We should revert your earlier change and replace
it with this one?  Or there were two typos, you fixed only one, and 
this patch ties a loose end left by it (but then that is not what
I'd describe "yours is better", so I am still puzzled)?

Thanks.